# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`sogo`](#sogo): Manage SOGo

#### Private Classes

* `sogo::config`: Manage SOGo configuration file
* `sogo::package`: Manage the SOGo package
* `sogo::service`: Manage the SOGo service

### Data types

* [`Sogo::Usersource`](#Sogo--Usersource): Manage a SOGo user source

## Classes

### <a name="sogo"></a>`sogo`

Manage SOGo

#### Parameters

The following parameters are available in the `sogo` class:

* [`language`](#-sogo--language)
* [`time_zone`](#-sogo--time_zone)
* [`login_module`](#-sogo--login_module)
* [`password_change_enabled`](#-sogo--password_change_enabled)
* [`user_sources`](#-sogo--user_sources)
* [`profile_url`](#-sogo--profile_url)
* [`folder_info_url`](#-sogo--folder_info_url)
* [`sessions_folder_url`](#-sogo--sessions_folder_url)
* [`configuration_file`](#-sogo--configuration_file)
* [`package`](#-sogo--package)
* [`service`](#-sogo--service)

##### <a name="-sogo--language"></a>`language`

Data type: `String[1]`

Default language used in the Web interface

Default value: `'English'`

##### <a name="-sogo--time_zone"></a>`time_zone`

Data type: `String[1]`

Default time zone for users

Default value: `'America/Montreal'`

##### <a name="-sogo--login_module"></a>`login_module`

Data type: `String[1]`

Module to show after login

Default value: `'Calendar'`

##### <a name="-sogo--password_change_enabled"></a>`password_change_enabled`

Data type: `Boolean`

Allow or not users to change their passwords from SOGo

Default value: `false`

##### <a name="-sogo--user_sources"></a>`user_sources`

Data type: `Array[Sogo::Usersource]`

LDAP and/or SQL sources used for authentication and global address books

Default value: `[]`

##### <a name="-sogo--profile_url"></a>`profile_url`

Data type: `String[1]`

Database URL so that SOGo can retrieve user profiles

Default value: `'postgresql://sogo:sogo@localhost:5432/sogo/sogo_user_profile'`

##### <a name="-sogo--folder_info_url"></a>`folder_info_url`

Data type: `String[1]`

Database URL so that SOGo can retrieve the location of user folders

Default value: `'postgresql://sogo:sogo@localhost:5432/sogo/sogo_folder_info'`

##### <a name="-sogo--sessions_folder_url"></a>`sessions_folder_url`

Data type: `String[1]`

Database URL so that SOGo can store and retrieve secured user sessions information

Default value: `'postgresql://sogo:sogo@localhost:5432/sogo/sogo_sessions_folder'`

##### <a name="-sogo--configuration_file"></a>`configuration_file`

Data type: `String[1]`

Path to SOGo configuration file

##### <a name="-sogo--package"></a>`package`

Data type: `String[1]`

Package name

##### <a name="-sogo--service"></a>`service`

Data type: `String[1]`

Ensure parameter for the SOGo package

## Data types

### <a name="Sogo--Usersource"></a>`Sogo::Usersource`

Manage a SOGo user source

Alias of

```puppet
Struct[{
    type                    => Enum['ldap', 'sql'],
    cn_field_name           => Optional[String],
    uid_field_name          => Optional[String],
    mail_field_names        => Optional[Array[String]],
    search_field_names      => Optional[Array[String]],
    id_field_name           => Optional[String],
    bind_fields             => Optional[Array[String]],
    base_dn                 => Optional[String],
    bind_dn                 => Optional[String],
    bind_password           => Optional[String],
    can_authenticate        => Optional[Boolean],
    display_name            => Optional[String],
    filter                  => Optional[String],
    hostname                => Optional[String],
    id                      => Optional[String],
    is_address_book         => Optional[Boolean],
    user_password_algorithm => Optional[String],
    view_url                => Optional[String],
  }]
```

